REST API
- POST /compile
Post Compile
Enqueue a
BackgroundTasksto process theCompileRequest.- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /enrich
Post Enrich
Enqueue a
BackgroundTasksto enrich all nodes in theCompileRequest.- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /insert
Post Insert
Insert enrichments via
InsertRequest.- Status Codes:
200 OK – Successful Response
400 Bad Request – Bad Request
500 Internal Server Error – Internal Server Error
422 Unprocessable Entity – Validation Error
- GET /status/{uuid}
Get Status
Fetch status of a compile request.
- Raises HTTPException:
(Status 404) If no compile request with uuid is found
- Parameters:
uuid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /results
Get Result
Fetch all results metadata or a specific result if a UUID is provided.
- Query Parameters:
uuid ({'uuid', 'null'})
status ({'null', 'string'})
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /results/{uuid}
Get Result By Path
Fetch result of a compile request by UUID path parameter.
- Parameters:
uuid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /request/{uuid}
Get Request Payload
Fetch the original compile request payload associated with a UUID.
- Parameters:
uuid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /qrms
List Qrms
Return all UUIDs that currently have stored Quantum Resource Models.
- Status Codes:
200 OK – Successful Response
- GET /qrms/{uuid}
Get Qrms Payload
Fetch the Quantum Resource Models file associated with a UUID.
- Parameters:
uuid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /qrms/{uuid}
Put Qrms Payload
Store or update the Quantum Resource Models file for the given UUID.
- Parameters:
uuid (string)
- Status Codes:
204 No Content – Successful Response
422 Unprocessable Entity – Validation Error
- GET /service-deployment-models
List Service Deployment Models
Return all UUIDs that currently have stored service deployment models.
- Status Codes:
200 OK – Successful Response
- GET /service-deployment-models/{uuid}
Get Service Deployment Models Payload
Fetch the Service Deployment Models file associated with a UUID.
- Parameters:
uuid (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /service-deployment-models/{uuid}
Put Service Deployment Models Payload
Store or update the Service Deployment Models file for the given UUID.
- Parameters:
uuid (string)
- Status Codes:
204 No Content – Successful Response
422 Unprocessable Entity – Validation Error
- POST /debug/compile
Post Debug Compile
Compiles the request to an openqasm3 program in one request. No redirects and no polling of different endpoints needed.
This endpoint should only be used for debugging purposes.
- Status Codes:
200 OK – Successful Response
400 Bad Request – Bad Request
500 Internal Server Error – Internal Server Error
422 Unprocessable Entity – Validation Error
- POST /debug/workflow
Post Debug Workflow
Process a compile request directly into a workflow representation, optionally including QRMs and service deployment models supplied by the client.
This endpoint should only be used for debugging purposes.
- Status Codes:
200 OK – Successful Response
400 Bad Request – Bad Request
500 Internal Server Error – Internal Server Error
422 Unprocessable Entity – Validation Error
- POST /debug/enrich
Post Debug Enrich
Enriches all nodes in the compile request in one request. No redirects and no polling of different endpoints needed.
This endpoint should only be used for debugging purposes.
- Status Codes:
200 OK – Successful Response
400 Bad Request – Bad Request
500 Internal Server Error – Internal Server Error
422 Unprocessable Entity – Validation Error
- POST /compileGroup
Post Compilegroup
Compiles the request to an openqasm3 program for the specified quantum group (groupID) in one request. No redirects and no polling of different endpoints needed.
- Query Parameters:
groupID (integer)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error